
IF OBJECT_ID('[DeployablesImported_Extended]') IS NOT NULL DROP VIEW [DeployablesImported_Extended]
GO

CREATE VIEW [DeployablesImported_Extended] AS

SELECT D.[Deployable_Id]
      ,D.[Deployable_Name]
      ,D.[CreatedBy_User_Name]
      ,D.[CreatedOn_Date]
      ,D.[ModifiedBy_User_Name]
      ,D.[ModifiedOn_Date]
	
      ,A.[Application_Id]
      ,A.[Application_Name]
      
      ,[ImportedFrom_Application_Id] = DA.[Application_Id]
      ,[ImportedFrom_Application_Name] = DA.[Application_Name]

FROM [DeployablesImported] DI
INNER JOIN [Applications] A
  ON A.[Application_Id] = DI.[Application_Id]
INNER JOIN [Deployables] D
  ON D.[Deployable_Id] = DI.[Deployable_Id]
INNER JOIN [Applications] DA
  ON DA.[Application_Id] = D.[Application_Id]
  
GO
