EXEC [__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Issues_GetIssue',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Issues_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified.'
GO


IF OBJECT_ID('[Issues_GetIssue]') IS NOT NULL DROP PROCEDURE [Issues_GetIssue]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Issues_GetIssue]
(
    @Application_Id INT,
	@Issue_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Issues_Extended]
	 WHERE [Application_Id] = @Application_Id
       AND [Issue_Id] = @Issue_Id

END
GO

GRANT EXECUTE ON [Issues_GetIssue] TO [BuildMasterUser_Role]
