--AH:ScriptId=df458dd9-10b8-4872-a0e6-e7a9081cfa76;256
CREATE TABLE [PromotionRequirementStatuses] (

	[PromotionRequirementStatus_Id] INT IDENTITY(1,1) NOT NULL,
	CONSTRAINT [PK__PromotionRequirementStatuses]
	PRIMARY KEY ([PromotionRequirementStatus_Id]),

	[Environment_Id] INT NOT NULL,
	[PromotionRequirement_Sequence] INT NOT NULL,

	[Application_Id] INT NOT NULL,
	[Release_Number] [RELEASENUMBER] NOT NULL,
	[Build_Number] [BUILDNUMBER] NOT NULL,
		CONSTRAINT [FK__PromotionRequirementStatuses__Builds]
		FOREIGN KEY ([Application_Id], [Release_Number], [Build_Number])
		REFERENCES [Builds] ([Application_Id], [Release_Number], [Build_Number]),

	CONSTRAINT [UQ__PromotionRequirementStatus]
	UNIQUE ([Application_Id], [Release_Number], [Build_Number],[Environment_Id],[PromotionRequirement_Sequence]),

	[PromotionRequirement_Name] VARCHAR(MAX) NOT NULL,

	[PromotionRequirementStatus_Code] CHAR(1) NOT NULL 
		CONSTRAINT [CK__PromotionRequirementStatuses__PromotionRequirementStatus_Code_Domain]
		CHECK ([PromotionRequirementStatus_Code] IN ('I','N','C')),
	[PromotionRequirementStatus_Description] VARCHAR(MAX) NOT NULL, 

	[PromotionRequirementState_Configuration] VARCHAR(MAX),
)