--AH:ScriptId=80aa4942-4f76-45fc-8fb1-35b80152db53;610

IF OBJECT_ID('CsvToTable') IS NOT NULL DROP FUNCTION CsvToTable
GO

CREATE FUNCTION CsvToTable (@CSVString VARCHAR(MAX), @Delimiter	VARCHAR(10))
  RETURNS @tbl TABLE ([Value_Sequence] INT, [Value_Text] VARCHAR(MAX))

AS BEGIN 

    DECLARE @i INT, @j INT, @ctr INT
	SET @i = 1 

	WHILE @i <= len(@CSVString)
	BEGIN
		SET @j = CHARINDEX(@Delimiter, @CSVString, @i)
        SET @ctr = COALESCE(@ctr,0) + 1
		IF @j = 0 SET @j = LEN(@CSVString) + 1
		INSERT @tbl SELECT @ctr, SUBSTRING(@CSVString, @i, @j - @i)
		SELECT @i = @j + LEN(@Delimiter)
	END
	
    RETURN

END
GO

