--AH:ScriptId=2db5762f-4669-4049-bc6d-a1fd671aec09;702
ALTER TABLE [PlanActionGroups]
	DROP CONSTRAINT [CK__PlanActionGroups___OverridesReferenced_Check]

ALTER TABLE [PlanActionGroups]
	DROP CONSTRAINT [CK__PlanActionGroups_Server_Variable_Name]

GO

UPDATE [PlanActionGroups]
   SET [Server_Variable_Name] = NULL
 WHERE [Server_Variable_Name] = ''

UPDATE PAG
   SET PAG.[ActionGroup_Name] = NULLIF(PAG.[ActionGroup_Name], P.[ActionGroup_Name]),
       PAG.[ActionGroup_Description] = NULLIF(PAG.[ActionGroup_Description], P.[ActionGroup_Description]),
       PAG.[Predicate_Configuration] = NULLIF(CAST(PAG.[Predicate_Configuration] AS VARBINARY(MAX)), CAST(P.[Predicate_Configuration] AS VARBINARY(MAX))),
       PAG.[Active_Indicator] = NULLIF(PAG.[Active_Indicator], P.[Active_Indicator])
  FROM [PlanActionGroups] PAG
       INNER JOIN [Plans] P
               ON P.[Plan_Id] = PAG.[ActionGroup_Id]
 WHERE PAG.[OverridesReferenced_Indicator] = 'Y'
 
GO

ALTER TABLE [PlanActionGroups]
	DROP COLUMN [OverridesReferenced_Indicator]

GO

ALTER TABLE [PlanActionGroups]
	ADD CONSTRAINT [CK__PlanActionGroups__Server_Variable_Name]
		CHECK ([Server_Variable_Name] <> '' AND ([Server_Id] IS NULL OR [Server_Variable_Name] IS NULL))