--AH:ScriptId=0b3c325a-3d36-4c0f-aeef-604380a59ff6
ALTER TABLE [BuildExecutions]
  ADD [Environment_Name] VARCHAR(50)
GO

UPDATE [BuildExecutions]
   SET [Environment_Name] = E.[Environment_Name]
  FROM [BuildExecutions] BE
       INNER JOIN [Environments] E ON BE.[Environment_Id] = E.[Environment_Id]
GO

ALTER TABLE [BuildExecutions] DROP CONSTRAINT [FK__BuildExecutions__Environments]
ALTER TABLE [BuildExecutions] DROP COLUMN [Environment_Id]
ALTER TABLE [BuildExecutions] DROP COLUMN [RunContextHash_Bytes]
GO

EXEC sp_rename 'BuildExecutions', 'PipelineStageTargetExecutions'
EXEC sp_rename 'PipelineStageTargetExecutions.IX__BuildExecutions__PipelineStageExecutions', 'IX__PipelineStageTargetExecutions__PipelineStageExecutions'
EXEC sp_rename 'PipelineStageTargetExecutions.IX__BuildExecutions__Promotions', 'IX__PipelineStageTargetExecutions__Promotions'
EXEC sp_rename 'PipelineStageTargetExecutions.PK__BuildExecutions', 'PK__PipelineStageTargetExecutions'

EXEC sp_rename 'FK__BuildExecutions__BuildPromotions', 'FK__PipelineStageTargetExecutions__BuildPromotions'
EXEC sp_rename 'FK__BuildExecutions__Executions', 'FK__PipelineStageTargetExecutions__Executions'
EXEC sp_rename 'FK__BuildExecutions__PipelineStageDeploymentExecutions', 'FK__PipelineStageTargetExecutions__PipelineStageDeploymentExecutions'

