IF OBJECT_ID('[Issues_Types]') IS NOT NULL DROP VIEW [Issues_Types]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [Issues_Types] WITH SCHEMABINDING
AS

	SELECT [Type_Text],
	       [Type_Count] = COUNT_BIG(*)
	  FROM dbo.[Issues]
	 GROUP BY [Type_Text]

	--SELECT DISTINCT([Type_Text])
	--  FROM [Issues]

GO
	CREATE UNIQUE CLUSTERED INDEX [IX__Issues_Types]
		ON [Issues_Types] ([Type_Text])

GO