EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetBuildSlimById',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Builds_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the basic details for a specified build by ID.'
GO

IF OBJECT_ID('[Builds_GetBuildSlimById]') IS NOT NULL DROP PROCEDURE [Builds_GetBuildSlimById]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetBuildSlimById]
(
	@Build_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Builds_Slim]
	 WHERE [Build_Id] = @Build_Id

END
GO

GRANT EXECUTE ON [Builds_GetBuildSlimById] TO [BuildMasterUser_Role]
