EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'RetentionPolicies_GetRetentionPolicy',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'RetentionPolicies_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified retention policy.'
GO


IF OBJECT_ID('[RetentionPolicies_GetRetentionPolicy]') IS NOT NULL DROP PROCEDURE [RetentionPolicies_GetRetentionPolicy]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RetentionPolicies_GetRetentionPolicy]
(
    @RetentionPolicy_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [RetentionPolicies_Extended]
     WHERE [RetentionPolicy_Id] = @RetentionPolicy_Id

END
GO

GRANT EXECUTE ON [RetentionPolicies_GetRetentionPolicy] TO [BuildMasterUser_Role]